## gate.util
Class Pair

    java.lang.Object
      |
      +--gate.util.Pair

All Implemented Interfaces:
  Serializable

public class Pair
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`Object` `first`
`Object` `second`

Constructor Summary
`Pair()`
`Pair(Object p0, Object p1)`
`Pair(Pair p0)`

Method Summary
`Object` `clone()`
`boolean` `equals(Object p0)`
`boolean` `equals(Pair p0)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### first

    public Object first

### second

    public Object second

Constructor Detail

### Pair

    public Pair(Object p0,
                Object p1)

### Pair

    public Pair()

### Pair

    public Pair(Pair p0)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object p0)

  Overrides:
    `equals` in class `Object`

### equals

    public boolean equals(Pair p0)

### clone

    public Object clone()